micro_utils.dokka
0.15.1

# PaginatedIterator

class PaginatedIterator<T>(pageSize: Int, countGetter: () -> Long, paginationResultGetter: Pagination.() -> PaginationResult<T>) : Iterator<T>

## Constructors

PaginatedIterator
Link copied to clipboard
fun <T> PaginatedIterator(pageSize: Int, countGetter: () -> Long, paginationResultGetter: Pagination.() -> PaginationResult<T>)

## Functions

hasNext
Link copied to clipboard
open operator override fun hasNext(): Boolean
next
Link copied to clipboard
open operator override fun next(): T